## [AkShare](https://github.com/jindaxiang/akshare) 公募数据

### 基金基本信息

接口: fund_em_fund_name

目标地址: http://fund.eastmoney.com/fund.html#os_0;isall_0;ft_;pt_1

描述: 获取东方财富网站-天天基金网-基金数据-所有基金的基本信息数据 

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 基金代码      | str   | Y        | -  |
| 拼音缩写      | str   | Y        | -   |
| 基金简称      | str   | Y        | -   |
| 基金类型      | str   | Y        | -   |
| 拼音全称      | str   | Y        | -   |

接口示例

```python
import akshare as ak
fund_em_fund_name_df = ak.fund_em_fund_name()
print(fund_em_fund_name_df)
```

数据示例

```
         基金代码          拼音缩写  ...  基金类型                                   拼音全称
0      000001        HXCZHH  ...   混合型                  HUAXIACHENGZHANGHUNHE
1      000002        HXCZHH  ...   混合型                  HUAXIACHENGZHANGHUNHE
2      000003      ZHKZZZQA  ...   债券型           ZHONGHAIKEZHUANZHAIZHAIQUANA
3      000004      ZHKZZZQC  ...   债券型           ZHONGHAIKEZHUANZHAIZHAIQUANC
4      000005    JSZQXYDQZQ  ...  定开债券   JIASHIZENGQIANGXINYONGDINGQIZHAIQUAN
       ...           ...  ...   ...                                    ...
10223  952035     GTJAJDCHH  ...   混合型             GUOTAIJUNANJUNDECHENGHUNHE
10224  952099    GTJAJDXHHC  ...   混合型              GUOTAIJUNANJUNDEXINHUNHEC
10225  959991  XZJQLLXYSHHA  ...   混合型  XINGZHENGJINQILINLINGXIANYOUSHIHUNHEA
10226  959993  XZJQLLXYSHHC  ...   混合型  XINGZHENGJINQILINLINGXIANYOUSHIHUNHEC
10227  980003   TPYLGYGDCYZ  ...   债券型   TAIPINGYANGLIUGEYUEGUNDONGCHIYOUZHAI
```

### 开放式基金-实时数据

接口: fund_em_open_fund_daily

目标地址: http://fund.eastmoney.com/fund.html#os_0;isall_0;ft_;pt_1

描述: 获取东方财富网站-天天基金网-基金数据, 此接口数据每个交易日 **16:00～23:00** 更新当日的最新开放式基金净值 

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 基金代码      | str   | Y        | -  |
| 基金简称      | str   | Y        | -   |
| 单位净值      | float   | Y        | 随时间变动   |
| 累计净值      | float   | Y        | 随时间变动   |
| 前交易日-单位净值      | float   | Y        | 随时间变动   |
| 前交易日-累计净值      | float   | Y        | 随时间变动   |
| 日增长值      | float   | Y        | -   |
| 日增长率      | float   | Y        | -   |
| 申购状态      | str   | Y        | -   |
| 赎回状态      | str   | Y        | -   |
| 手续费      | str   | Y        | 注意百分号   |

接口示例

```python
import akshare as ak
fund_em_open_fund_daily_df = ak.fund_em_open_fund_daily()
print(fund_em_open_fund_daily_df)
```

数据示例

```
      基金代码     基金简称    单位净值    累计净值  ...  日增长率  申购状态  赎回状态    手续费
0     002121        广发沪港深新起点股票  1.2510  1.3360  ...  7.94  开放申购  开放赎回  0.15%
1     005583        易方达港股通红利混合  0.7396  0.7396  ...  7.55  开放申购  开放赎回  0.15%
2     006614       嘉实港股通新经济指数C  0.9004  0.9004  ...  7.52  开放申购  开放赎回  0.00%
3     501311       嘉实港股通新经济指数A  0.9048  0.9048  ...  7.52  开放申购  开放赎回  0.10%
4     007151       前海开源沪港深聚瑞混合  1.0253  1.0253  ...  7.37  开放申购  开放赎回  0.15%
      ...               ...     ...     ...  ...   ...   ...   ...    ...
8177  007643     华安稳健养老一年(FOF)                  ...        开放申购  暂停赎回  0.12%
8178  007274     景顺长城养老混合(FOF)                  ...        开放申购  开放赎回  0.12%
8179  008886  民生卓越配置6个月混合(FOF)                  ...        暂停申购  暂停赎回  0.06%
8180  007660   招商和悦均衡养老三年(FOF)                  ...        开放申购  暂停赎回  0.12%
8181  007747      海富通平衡养老(FOF)                  ...        暂停申购  暂停赎回  1.20%
```

### 开放式基金-历史数据

接口: fund_em_open_fund_info

目标地址: http://fund.eastmoney.com/pingzhongdata/710001.js

描述: 获取东方财富网站-天天基金网-基金数据-具体基金信息

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| fund | str| Y    |   fund="710001"; 需要基金代码, 可以通过调用 **fund_em_daily** 获取 |
| indicator | str  | Y    |   indicator="单位净值走势";  参见 **fund_em_info 参数一览表** |

fund_em_info 参数一览表

|参数名称 |备注|
|---|---|
|单位净值走势     |   - |
|累计净值走势     |   - |
|累计收益率走势   |   - |
|同类排名走势     |   - |
|同类排名百分比   | - |
|分红送配详情     | - |
|拆分详情        | - |

输出参数-单位净值走势

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| x      | str   | 报告日期        | -  |
| y      | str   | Y        | -   |
| equityReturn      | 单位净值   | Y        | -   |
| unitMoney      |    | Y        | -   |

接口示例-单位净值走势

```python
import akshare as ak
fund_em_info_df = ak.fund_em_open_fund_info(fund="710001", indicator="单位净值走势")
print(fund_em_info_df)
```

数据示例-单位净值走势

```
               x       y equityReturn unitMoney
0     2011-09-20  1.0000            0          
1     2011-09-22  1.0000            0          
2     2011-09-29  1.0001         0.01          
3     2011-10-13  1.0005         0.04          
4     2011-10-20  1.0007         0.02          
          ...     ...          ...       ...
2053  2020-03-15  2.2677      -5.0218          
2054  2020-03-16  2.2608      -0.3043          
2055  2020-03-17  2.2165      -1.9595          
2056  2020-03-18  2.2281       0.5233          
2057  2020-03-19  2.2515       1.0502          
```

输出参数-累计净值走势

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| x      | str   | Y | 报告日期        |
| y      | str   | Y | 累计净值        |

接口示例-累计净值走势

```python
import akshare as ak
fund_em_info_df = ak.fund_em_open_fund_info(fund="710001", indicator="累计净值走势")
print(fund_em_info_df)
```

数据示例-累计净值走势

```
               x       y
0     2011-09-20  1.0000
1     2011-09-22  1.0000
2     2011-09-29  1.0001
3     2011-10-13  1.0005
4     2011-10-20  1.0007
          ...     ...
2053  2020-03-15  2.2677
2054  2020-03-16  2.2608
2055  2020-03-17  2.2165
2056  2020-03-18  2.2281
2057  2020-03-19  2.2515        
```

输出参数-累计收益率走势

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| x      | str   | 报告日期        | -  |
| y      | str   | 累计收益率        | -   |

接口示例-累计收益率走势

```python
import akshare as ak
fund_em_info_df = ak.fund_em_open_fund_info(fund="710001", indicator="累计收益率走势")
print(fund_em_info_df)
```

数据示例-累计收益率走势

```
              x     y
0    2019-09-19  0.00
1    2019-09-22 -1.31
2    2019-09-23 -0.78
3    2019-09-24 -2.21
4    2019-09-25 -4.24
..          ...   ...
114  2020-03-15  0.37
115  2020-03-16  0.06
116  2020-03-17 -1.90
117  2020-03-18 -1.39
118  2020-03-19 -0.35       
```

输出参数-同类排名走势

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| x      | str   | Y | 报告日期        |
| y      | str   | Y | 同类型排名-每日近三月排名        |
| sc      | str   | Y | 总排名-每日近三月排名       |

接口示例-同类排名走势

```python
import akshare as ak
fund_em_info_df = ak.fund_em_open_fund_info(fund="710001", indicator="同类排名走势")
print(fund_em_info_df)
```

数据示例-同类排名走势

```
               x     y    sc
0     2011-12-20    14   438
1     2011-12-21    32   438
2     2011-12-22    42   438
3     2011-12-25    63   438
4     2011-12-26    45   438
          ...   ...   ...
1999  2020-03-15  1839  3273
2000  2020-03-16  2067  3277
2001  2020-03-17  2339  3281
2002  2020-03-18  2032  3196
2003  2020-03-19  1861  3269      
```

输出参数-同类排名百分比

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| x      | str   | Y | 报告日期        |
| y      | str   | Y | 同类型排名-每日近3月收益排名百分比        |

接口示例-同类排名百分比

```python
import akshare as ak
fund_em_info_df = ak.fund_em_open_fund_info(fund="710001", indicator="同类排名百分比")
print(fund_em_info_df)
```

数据示例-同类排名百分比

```
               x      y
0     2011-12-20  96.80
1     2011-12-21  92.69
2     2011-12-22  90.41
3     2011-12-25  85.62
4     2011-12-26  89.73
          ...    ...
1999  2020-03-15  43.81
2000  2020-03-16  36.92
2001  2020-03-17  28.71
2002  2020-03-18  36.42
2003  2020-03-19  43.07    
```

输出参数-分红送配详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 年份      | str   | Y | -        |
| 权益登记日      | str   | Y | -        |
| 除息日      | str   | Y | -        |
| 每份分红      | str   | Y | -        |
| 分红发放日      | str   | Y | -        |

接口示例-分红送配详情

```python
import akshare as ak
fund_em_info_df = ak.fund_em_open_fund_info(fund="161606", indicator="分红送配详情")
print(fund_em_info_df)
```

数据示例-分红送配详情

```
   年份    权益登记日      除息日         每份分红       分红发放日
0  2007年  2007-10-25  2007-10-25  每份派现金0.7700元  2007-10-29
1  2007年  2007-03-12  2007-03-12  每份派现金1.1100元  2007-03-14
2  2006年  2006-05-30  2006-05-30  每份派现金0.0600元  2006-06-01
```

输出参数-拆分详情

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 年份      | str   | Y | -        |
| 拆分折算日      | str   | Y | -        |
| 拆分类型      | str   | Y | -        |
| 拆分折算比例      | str   | Y | -        |

接口示例-拆分详情

```python
import akshare as ak
fund_em_info_df = ak.fund_em_open_fund_info(fund="161606", indicator="拆分详情")
print(fund_em_info_df)
```

数据示例-拆分详情

```
   年份      拆分折算日  拆分类型    拆分折算比例
0  2019年  2019-12-16  份额折算  1:1.0107
1  2019年  2019-07-02  份额折算  1:1.5569
2  2018年  2018-12-17  份额折算  1:1.0255
3  2017年  2017-12-15  份额折算  1:1.0045
4  2017年  2017-09-26  份额折算  1:1.4942
5  2016年  2016-12-15  份额折算  1:1.0230
6  2015年  2015-12-15  份额折算  1:1.0180
```

### 货币型基金-实时数据

接口: fund_em_money_fund_daily

目标地址: http://fund.eastmoney.com/HBJJ_pjsyl.html

描述: 获取东方财富网站-天天基金网-基金数据-货币型基金收益, 此接口数据每个交易日 **16:00～23:00**

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 基金代码      | str   | Y        | -  |
| 基金简称      | str   | Y        | -   |
| 当前交易日-万份收益      | float   | Y        | -   |
| 当前交易日-7日年化%      | float   | Y        | -   |
| 当前交易日-单位净值      | float   | Y        | -   |
| 前一交易日-万份收益      | float   | Y        | -   |
| 前一交易日-7日年化%      | float   | Y        | -   |
| 前一交易日-单位净值      | float   | Y        | -   |
| 日涨幅      | str   | Y        | -   |
| 成立日期      | str   | Y        | -   |
| 基金经理      | str   | Y        | -   |
| 手续费      | str   | Y        | -   |
| 可购全部      | str   | Y        | -   |

接口示例

```python
import akshare as ak
fund_em_money_fund_daily_df = ak.fund_em_money_fund_daily()
print(fund_em_money_fund_daily_df)
```

数据示例

```
       基金代码        基金简称 当前交易日-万份收益 当前交易日-7日年化%  ...        成立日期  基金经理  手续费 可购全部
2    004186     江信增利货币B     0.4461     4.1720%  ...  2017-08-03    杨淳  0费率   购买
3    002884  华润元大现金通货币B     0.8919     3.9870%  ...  2016-07-27  李仆 等  0费率   购买
4    004185     江信增利货币A     0.4065     3.9620%  ...  2017-08-03    杨淳  0费率   购买
5    002883  华润元大现金通货币A     0.8585     3.8460%  ...  2016-07-27  李仆 等  0费率   购买
6    740602       长安货币B     0.4641     3.7260%  ...  2013-01-25    孟楠  0费率   购买
..      ...         ...        ...         ...  ...         ...   ...  ...  ...
448  519513    万家日日薪货币R        ---         ---  ...  2013-01-15    郅元  0费率   购买
449  005202    兴业稳天盈货币B        ---         ---  ...  2017-09-11  丁进 等  0费率   购买
450  000908   农银红利日结货币B        ---         ---  ...  2014-12-19  许娅 等  0费率   购买
451  000907   农银红利日结货币A        ---         ---  ...  2014-12-19  许娅 等  0费率   购买
452  519507       万家货币B        ---         ---  ...  2013-08-15    郅元  0费率   购买
```

### 货币型基金-历史数据

接口: fund_em_money_fund_info

目标地址: http://fundf10.eastmoney.com/jjjz_004186.html

描述: 获取东方财富网站-天天基金网-基金数据-货币型基金历史净值

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| fund | str| Y    |   fund="000009"; 需要基金代码, 可以通过调用 **fund_em_money_fund_daily** 获取 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 净值日期      | str   | Y        | -  |
| 每万份收益      | str   | Y        | -   |
| 7日年化收益率      | float   | Y        | -   |
| 申购状态      |  str  | Y        | -   |
| 赎回状态      | str   | Y        | -   |

接口示例

```python
import akshare as ak
fund_em_money_fund_info_df = ak.fund_em_money_fund_info(fund="000009")
print(fund_em_money_fund_info_df)
```

数据示例

```
            净值日期    每万份收益 7日年化收益率  申购状态  赎回状态
0     2020-04-30   0.4991  1.8490  开放申购  开放赎回
1     2020-04-29   0.5266  1.8250  开放申购  开放赎回
2     2020-04-28   0.4840  1.8230  开放申购  开放赎回
3     2020-04-27   0.5160  1.8360  开放申购  开放赎回
4     2020-04-26   0.4960  1.8390  开放申购  开放赎回
          ...      ...     ...   ...   ...
2419  2013-03-29   0.6744  2.8920  开放申购  开放赎回
2420  2013-03-28   0.7068  3.0420  开放申购  开放赎回
2421  2013-03-27   0.3729  3.1750  开放申购  开放赎回
2422  2013-03-26   0.9561  3.4820  开放申购  开放赎回
2423  2013-03-25  21.2775  3.4850   封闭期   封闭期       
```

### 理财型基金-实时数据

接口: fund_em_financial_fund_daily

目标地址: http://fund.eastmoney.com/lcjj.html#1_1__0__ljjz,desc_1_os1

描述: 获取东方财富网站-天天基金网-基金数据-理财型基金-实时数据, 此接口数据每个交易日 **16:00～23:00**

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 序号      | int   | Y        | -  |
| 基金代码      | str   | Y        | -  |
| 基金简称      | str   | Y        | -   |
| 上一期年化收益率      | float   | Y        | -   |
| 当前交易日-万份收益      | float   | Y        | -   |
| 当前交易日-7日年华      | float   | Y        | -   |
| 前一个交易日-万份收益      | float   | Y        | -   |
| 前一个交易日-7日年华      | float   | Y        | -   |
| 封闭期      | float   | Y        | -   |
| 申购状态      | str   | Y        | -   |

接口示例

```python
import akshare as ak
fund_em_financial_fund_daily_df = ak.fund_em_financial_fund_daily()
print(fund_em_financial_fund_daily_df)
```

数据示例

```
   序号    基金代码          基金简称 上一期年化收益率  ... 前一个交易日-万份收益 前一个交易日-7日年华  封闭期 申购状态
0   1  000134     信诚理财28日盈A   2.1010  ...      0.4548      1.8150  28天  限大额
1   2  090021      大成月添利债券A   4.7470  ...      0.5243      1.8540  1个月  限大额
2   3  110051   易方达月月利理财债券B   2.4040  ...      0.6606      2.2450  1个月  限大额
3   4  070035    嘉实理财宝7天债券A   1.8310  ...      0.4871      1.8310   7天  限大额
4   5  660016     农银7天理财债券A   1.6780  ...      0.4567      1.6780   7天  限大额
5   6  000791   银华双月定期理财债券A           ...      0.6134      2.2390  2个月  限大额
6   7  001057    华夏理财30天债券A   3.0650  ...      0.6477      2.2020  1个月  限大额
7   8  110050   易方达月月利理财债券A   2.1140  ...      0.5813      1.9560  1个月  限大额
8   9  090023  大成月月盈短期理财债券A  22.2030  ...      0.4640      1.7510  1个月  限大额
9  10  000322    农银14天理财债券A           ...      0.4592      1.6080  14天  限大额
```

### 理财型基金-历史数据

接口: fund_em_financial_fund_info

目标地址: http://fundf10.eastmoney.com/jjjz_000791.html

描述: 获取东方财富网站-天天基金网-基金数据-理财型基金-基金净值数据

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| fund | str| Y    |   fund="000134"; 需要基金代码, 可以通过调用 **fund_em_financial_fund_daily** 获取 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 净值日期      | str   | Y        | -  |
| 每万份收益      | str   | Y        | -   |
| 7日年化收益率      | float   | Y        | -   |
| 申购状态      |  str  | Y        | -   |
| 赎回状态      | str   | Y        | -   |

接口示例

```python
import akshare as ak
fund_em_financial_fund_info_df = ak.fund_em_financial_fund_info(fund="000134")
print(fund_em_financial_fund_info_df)
```

数据示例

```
            净值日期   每万份收益 7日年化收益率    申购状态  赎回状态
0     2020-04-30  0.4514  1.8240  限制大额申购  开放赎回
1     2020-04-29  0.4548  1.8150  限制大额申购  开放赎回
2     2020-04-28  0.4523  1.8050  限制大额申购  开放赎回
3     2020-04-27  0.4446  1.7970  限制大额申购  开放赎回
4     2020-04-26  0.7770  1.8480  限制大额申购  开放赎回
          ...     ...     ...     ...   ...
1066  2017-05-29  1.0799  3.6420    开放申购   封闭期
1067  2017-05-28  1.0799  3.5470    开放申购   封闭期
1068  2017-05-27  1.0799  3.3900    开放申购   封闭期
1069  2017-05-26  1.2796  3.0770    开放申购   封闭期
1070  2017-05-25  0.3810  1.4000     封闭期   封闭期   
```

### 分级基金-实时数据

接口: fund_em_graded_fund_daily

目标地址: http://fund.eastmoney.com/fjjj.html#1_1__0__zdf,desc_1

描述: 获取东方财富网站-天天基金网-基金数据-分级基金-实时数据, 此接口数据每个交易日 **16:00～23:00** 

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 基金代码      | str   | Y        | -  |
| 基金简称      | str   | Y        | -   |
| 单位净值      | float   | Y        | -   |
| 累计净值      | float   | Y        | -   |
| 前交易日-单位净值      | float   | Y        | -   |
| 前交易日-累计净值      | float   | Y        | -   |
| 日增长值      | float   | Y        | -   |
| 日增长率      | float   | Y        | 注意单位   |
| 市价      | str   | Y        | -   |
| 折价率      | str   | Y        | -   |
| 手续费      | str   | Y        | -   |

接口示例

```python
import akshare as ak
fund_em_graded_fund_daily_df = ak.fund_em_graded_fund_daily()
print(fund_em_graded_fund_daily_df)
```

数据示例

```
       基金代码            基金简称    单位净值    累计净值  ...   日增长率      市价     折价率    手续费
0    150232     申万菱信申万电子分级B  0.5598          ...  15.85  0.9080  -62.20       
1    150174  信诚中证TMT产业主题分级B  0.6580  2.0740  ...  10.77    0.76  -15.50       
2    150312   信诚中证智能家居指数分级B  0.7430  0.0960  ...  10.73  0.7570   -1.88       
3    150310   信诚中证信息安全指数分级B  0.9090  0.1040  ...   9.92  1.0790  -18.70       
4    150151  信诚中证800有色指数分级B    0.63  1.1180  ...   6.42  0.7110  -12.86       
..      ...             ...     ...     ...  ...    ...     ...     ...    ...
341  150252   招商中证煤炭等权指数分级B                  ...         0.5120               
342  150324   工银中证环保产业指数分级B                  ...           0.74               
343  150197   国泰国证有色金属行业分级B                  ...           0.44               
344  150294   南方中证高铁产业指数分级B                  ...         0.4350               
345  161825       银华中证800分级                  ...                         1.20%
```

### 分级基金-历史数据

接口: fund_em_graded_fund_info

目标地址: http://fundf10.eastmoney.com/jjjz_004186.html

描述: 获取东方财富网站-天天基金网-基金数据-分级基金-历史数据

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| fund | str| Y    |   fund="150232"; 需要基金代码, 可以通过调用 **fund_em_graded_fund_daily** 获取 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 净值日期      | str   | Y        | -  |
| 单位净值      | float   | Y        | -   |
| 累计净值      | float   | Y        | -   |
| 日增长率      | float   | Y        | 注意单位: %; 日增长率为空原因如下: 1. 非交易日净值不参与日增长率计算(灰色数据行). 2. 上一交易日净值未披露, 日增长率无法计算.   |
| 申购状态      |  str  | Y        | -   |
| 赎回状态      | str   | Y        | -   |

接口示例

```python
import akshare as ak
fund_em_graded_fund_info_df = ak.fund_em_graded_fund_info(fund="150232")
print(fund_em_graded_fund_info_df)
```

数据示例

```
            净值日期    单位净值    累计净值   日增长率  申购状态  赎回状态
0     2020-05-08  0.6123           2.19  场内买入  场内卖出
1     2020-05-07  0.5992          -2.17  场内买入  场内卖出
2     2020-05-06  0.6125           9.41  场内买入  场内卖出
3     2020-04-30  0.5598          15.85  场内买入  场内卖出
4     2020-04-29  0.4832           1.45  场内买入  场内卖出
          ...     ...     ...    ...   ...   ...
1215  2015-05-20  0.9988  0.9988  -0.03  场内买入  场内卖出
1216  2015-05-19  0.9991  0.9991  -0.02  场内买入  场内卖出
1217  2015-05-18  0.9993  0.9993  -0.04  场内买入  场内卖出
1218  2015-05-15  0.9997  0.9997  -0.03  场内买入  场内卖出
1219  2015-05-14  1.0000  1.0000         场内买入  场内卖出
```

### 场内交易基金-实时数据

接口: fund_em_etf_fund_daily

目标地址: http://fund.eastmoney.com/cnjy_dwjz.html

描述: 获取东方财富网站-天天基金网-基金数据-场内交易基金-实时数据, 此接口数据每个交易日 **16:00～23:00**

限量: 单次返回当前时刻所有数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -  | -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 基金代码      | str   | Y        | -  |
| 基金简称      | str   | Y        | -   |
| 类型      | float   | Y        | -   |
| 当前交易日-单位净值      | float   | Y        | -   |
| 当前交易日-累计净值      | float   | Y        | -   |
| 前一个交易日-单位净值      | float   | Y        | -   |
| 前一个交易日-累计净值      | float   | Y        | -   |
| 增长值      | float   | Y        | -   |
| 增长率      | str   | Y        | -   |
| 市价      | str   | Y        | -   |
| 折价率      | str   | Y        | -   |

接口示例

```python
import akshare as ak
fund_em_etf_fund_daily_df = ak.fund_em_etf_fund_daily()
print(fund_em_etf_fund_daily_df)
```

数据示例

```
       基金代码                 基金简称      类型  ...     增长率        市价     折价率
0    511010       国泰上证5年期国债ETF行情  ETF-场内  ...  -0.05%  126.4350  -0.36%
1    511260      国泰上证10年期国债ETF行情  ETF-场内  ...  -0.28%  114.5010  -0.26%
2    511280       华夏3-5年信用债ETF行情  ETF-场内  ...   0.03%  110.8880   1.10%
3    511270       海富通上证10年期ETF行情  ETF-场内  ...   0.01%  110.1340   0.43%
4    511020  平安中证5-10年国债活跃券ETF行情  ETF-场内  ...  -0.15%  108.0000  -0.17%
..      ...                  ...     ...  ...     ...       ...     ...
521  159988    平安中债-0-5年地方债ETF行情  ETF-场内  ...     ---       ---     ---
522  150321        富国中证煤炭指数分级A行情    固定收益  ...     ---       ---     ---
523  518660          工银瑞信黄金ETF行情  ETF-场内  ...     ---       ---     ---
524  515960       嘉实医药健康100ETF行情  ETF-场内  ...     ---       ---     ---
525  159802         广发中证800ETF行情  ETF-场内  ...     ---       ---     ---
```

### 场内交易基金-历史数据

接口: fund_em_etf_fund_info

目标地址: http://fundf10.eastmoney.com/jjjz_004186.html

描述: 获取东方财富网站-天天基金网-基金数据-场内交易基金-历史净值数据

限量: 单次返回当前时刻所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| fund | str| Y    |   fund="511280"; 需要基金代码, 可以通过调用 **fund_em_etf_fund_daily** 获取 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 净值日期      | str   | Y        | -  |
| 单位净值      | float   | Y        | -   |
| 累计净值      | float   | Y        | -   |
| 日增长率      |  float  | Y        | 注意单位(%)   |
| 申购状态      | str   | Y        | -   |
| 赎回状态      | str   | Y        | -   |

接口示例

```python
import akshare as ak
fund_em_etf_fund_info_df = ak.fund_em_etf_fund_info(fund="511280")
print(fund_em_etf_fund_info_df)
```

数据示例

```
           净值日期      单位净值    累计净值   日增长率  申购状态  赎回状态
0    2020-04-30  112.1175  1.1212   0.03  场内买入  场内卖出
1    2020-04-29  112.0788  1.1208  -0.05  场内买入  场内卖出
2    2020-04-28  112.1330  1.1213  -0.01  场内买入  场内卖出
3    2020-04-27  112.1415  1.1214  -0.03  场内买入  场内卖出
4    2020-04-24  112.1748  1.1217   0.15  场内买入  场内卖出
..          ...       ...     ...    ...   ...   ...
473  2018-05-18  100.1054  1.0011         场内买入  场内卖出
474  2018-05-14  100.0804  1.0008   0.02  场内买入  场内卖出
475  2018-05-11    1.0006  1.0006         场内买入  场内卖出
476  2018-05-04    1.0003  1.0003   0.03  场内买入  场内卖出
477  2018-05-03    1.0000  1.0000         场内买入  场内卖出    
```

### 净值估算

接口: fund_em_value_estimation

目标地址: http://fund.eastmoney.com/fundguzhi.html

描述: 获取东方财富网-数据中心-净值估算

限量: 单次返回当前时刻所有数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| - | -| -    |   - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 基金代码      | str   | Y        | -  |
| 基金类型      | str   | Y        | -   |
| 估算值      | float   | Y        | -   |
| 估算增长率      |  str  | Y        | 注意单位: %   |
| 单位净值      | float   | Y        | -   |
| 基金名称      | str   | Y        | -   |

接口示例

```python
import akshare as ak
fund_em_value_estimation_df = ak.fund_em_value_estimation()
print(fund_em_value_estimation_df)
```

数据示例

```
        基金代码  基金类型  ... 2020-05-12-单位净值            基金名称
0     162412  股票指数  ...          1.4112      华宝中证医疗指数分级
1     502056  股票指数  ...          1.0431        广发医疗指数分级
2     006228   股票型  ...          1.6820       中欧医疗创新股票A
3     006229   股票型  ...          1.6670       中欧医疗创新股票C
4     004851   股票型  ...          2.3319       广发医疗保健股票A
      ...   ...  ...             ...             ...
8479  009133   混合型  ...             ---     汇安嘉利一年封闭混合A
8480  008357  QDII  ...             ---  华安全球精选债(QDII)A
8481  009317   混合型  ...          1.0000       金信核心竞争力混合
8482  009189   混合型  ...             ---        华宝成长策略混合
8483  850599   混合型  ...          1.0001   海通核心优势一年持有混合C 
```
