## [AkShare](https://github.com/jindaxiang/akshare) 另类数据

### 日出和日落

#### 日出和日落-天

接口: sunrise_daily

目标地址: https://www.timeanddate.com/sun/china/

描述: 获取中国各大城市-日出和日落时间, 数据区间从19990101-至今, 推荐使用代理访问

限量: 单次返回指定日期和指定城市的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str | Y | date="20190801" |
| city | str | Y | city="北京"; 注意输入的格式, e.g., "北京", "上海" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| date      | datetime.datetime   | Y        | 日期-索引  |
| Sunrise      | str   | Y        | 日出  |
| Sunset      | float   | Y        | 日落   |
| Length      | str   | Y        | Daylength-Length  |
| Difference      | float   | Y        | Daylength-Difference   |
| Start      | str   | Y        | Astronomical Twilight-Start  |
| End      | float   | Y        | Astronomical Twilight-End   |
| Start.1      | str   | Y        | Nautical Twilight-Start  |
| End.1      | float   | Y        | Nautical Twilight-End   |
| Start.2      | str   | Y        | Civil Twilight-Start  |
| End.2      | float   | Y        | Civil Twilight-End   |
| Time      | str   | Y        | Solar Noon-Time  |
| Mil. km      | float   | Y        | Solar Noon-Mil. km   |

接口示例

```python
import akshare as ak
sunrise_daily_df = ak.sunrise_daily(date="20190801", city="北京")
print(sunrise_daily_df)
```

数据示例

```
八月        Sunrise          Sunset  ...  End.2           Time Mil. km
2019-08-01  1  05:12 ↑ (65°)  19:28 ↑ (295°)  ...  19:58  12:20 (68,2°)  151857
```

#### 日出和日落-月

接口: sunrise_monthly

目标地址: https://www.timeanddate.com/sun/china/

描述: 获取中国各大城市-日出和日落时间, 数据区间从19990101-至今, 推荐使用代理访问

限量: 单次返回指定日期所在月份每天的数据, 如果是未来日期则为预测值

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str | Y | date="20190801" |
| city | str | Y | city="北京" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| month      | str   | Y        | 日期-索引; XXXX-XX 格式  |
| Sunrise      | str   | Y        | 日出  |
| Sunset      | float   | Y        | 日落   |
| Length      | str   | Y        | Daylength-Length  |
| Difference      | float   | Y        | Daylength-Difference   |
| Start      | str   | Y        | Astronomical Twilight-Start  |
| End      | float   | Y        | Astronomical Twilight-End   |
| Start.1      | str   | Y        | Nautical Twilight-Start  |
| End.1      | float   | Y        | Nautical Twilight-End   |
| Start.2      | str   | Y        | Civil Twilight-Start  |
| End.2      | float   | Y        | Civil Twilight-End   |
| Time      | str   | Y        | Solar Noon-Time  |
| Mil. km      | float   | Y        | Solar Noon-Mil. km   |

接口示例

```python
import akshare as ak
sunrise_monthly_df = ak.sunrise_monthly(date="20200328", city="北京")
print(sunrise_monthly_df)
```

数据示例

```
       Mar        Sunrise          Sunset  ...  End.2           Time  Mil. km
202003   1  06:47 ↑ (99°)  18:06 ↑ (261°)  ...  18:33  12:26 (42.7°)  148.234
202003   2  06:46 ↑ (99°)  18:07 ↑ (262°)  ...  18:34  12:26 (43.1°)  148.270
202003   3  06:44 ↑ (98°)  18:08 ↑ (262°)  ...  18:35  12:26 (43.4°)  148.306
202003   4  06:43 ↑ (98°)  18:09 ↑ (263°)  ...  18:36  12:26 (43.8°)  148.343
202003   5  06:41 ↑ (97°)  18:10 ↑ (263°)  ...  18:37  12:25 (44.2°)  148.380
202003   6  06:40 ↑ (97°)  18:11 ↑ (264°)  ...  18:38  12:25 (44.6°)  148.417
202003   7  06:38 ↑ (96°)  18:12 ↑ (264°)  ...  18:39  12:25 (45.0°)  148.455
202003   8  06:37 ↑ (96°)  18:13 ↑ (265°)  ...  18:40  12:25 (45.4°)  148.493
202003   9  06:35 ↑ (95°)  18:15 ↑ (265°)  ...  18:42  12:24 (45.8°)  148.532
202003  10  06:33 ↑ (95°)  18:16 ↑ (266°)  ...  18:43  12:24 (46.2°)  148.572
202003  11  06:32 ↑ (94°)  18:17 ↑ (266°)  ...  18:44  12:24 (46.6°)  148.612
202003  12  06:30 ↑ (94°)  18:18 ↑ (267°)  ...  18:45  12:24 (46.9°)  148.652
202003  13  06:29 ↑ (93°)  18:19 ↑ (267°)  ...  18:46  12:23 (47.3°)  148.693
202003  14  06:27 ↑ (93°)  18:20 ↑ (268°)  ...  18:47  12:23 (47.7°)  148.734
202003  15  06:25 ↑ (92°)  18:21 ↑ (268°)  ...  18:48  12:23 (48.1°)  148.776
202003  16  06:24 ↑ (91°)  18:22 ↑ (269°)  ...  18:49  12:23 (48.5°)  148.818
202003  17  06:22 ↑ (91°)  18:23 ↑ (269°)  ...  18:50  12:22 (48.9°)  148.861
202003  18  06:21 ↑ (90°)  18:24 ↑ (270°)  ...  18:51  12:22 (49.3°)  148.903
202003  19  06:19 ↑ (90°)  18:25 ↑ (270°)  ...  18:52  12:22 (49.7°)  148.946
202003  20  06:17 ↑ (89°)  18:26 ↑ (271°)  ...  18:53  12:21 (50.1°)  148.988
202003  21  06:16 ↑ (89°)  18:27 ↑ (271°)  ...  18:54  12:21 (50.5°)  149.031
202003  22  06:14 ↑ (88°)  18:28 ↑ (272°)  ...  18:55  12:21 (50.9°)  149.074
202003  23  06:13 ↑ (88°)  18:29 ↑ (272°)  ...  18:56  12:20 (51.3°)  149.116
202003  24  06:11 ↑ (87°)  18:30 ↑ (273°)  ...  18:57  12:20 (51.7°)  149.159
202003  25  06:09 ↑ (87°)  18:31 ↑ (273°)  ...  18:58  12:20 (52.1°)  149.201
202003  26  06:08 ↑ (86°)  18:32 ↑ (274°)  ...  18:59  12:20 (52.5°)  149.244
202003  27  06:06 ↑ (86°)  18:33 ↑ (274°)  ...  19:00  12:19 (52.9°)  149.286
202003  28  06:04 ↑ (85°)  18:34 ↑ (275°)  ...  19:01  12:19 (53.2°)  149.328
202003  29  06:03 ↑ (85°)  18:35 ↑ (275°)  ...  19:02  12:19 (53.6°)  149.371
202003  30  06:01 ↑ (84°)  18:36 ↑ (276°)  ...  19:03  12:18 (54.0°)  149.413
202003  31  06:00 ↑ (84°)  18:37 ↑ (276°)  ...  19:04  12:18 (54.4°)  149.455
```

### 空气质量-河北

#### 近期空气质量

接口: air_quality_hebei

目标地址: http://110.249.223.67/publish/

描述: 获取河北省近 6 天空气质量情况

注释: 

注释-等级划分

1. 空气污染指数为0－50，空气质量级别为一级，空气质量状况属于优。此时，空气质量令人满意，基本无空气污染，各类人群可正常活动。
2. 空气污染指数为51－100，空气质量级别为二级，空气质量状况属于良。此时空气质量可接受，但某些污染物可能对极少数异常敏感人群健康有较弱影响，建议极少数异常敏感人群应减少户外活动。
3. 空气污染指数为101－150，空气质量级别为三级，空气质量状况属于轻度污染。此时，易感人群症状有轻度加剧，健康人群出现刺激症状。建议儿童、老年人及心脏病、呼吸系统疾病患者应减少长时间、高强度的户外锻炼。
4. 空气污染指数为151－200，空气质量级别为四级，空气质量状况属于中度污染。此时，进一步加剧易感人群症状，可能对健康人群心脏、呼吸系统有影响，建议疾病患者避免长时间、高强度的户外锻练，一般人群适量减少户外运动。
5. 空气污染指数为201－300，空气质量级别为五级，空气质量状况属于重度污染。此时，心脏病和肺病患者症状显著加剧，运动耐受力降低，健康人群普遍出现症状，建议儿童、老年人和心脏病、肺病患者应停留在室内，停止户外运动，一般人群减少户外运动。
6. 空气污染指数大于300，空气质量级别为六级，空气质量状况属于严重污染。此时，健康人群运动耐受力降低，有明显强烈症状，提前出现某些疾病，建议儿童、老年人和病人应当留在室内，避免体力消耗，一般人群应避免户外活动。

注释-发布单位

河北省环境应急与重污染天气预警中心

注释-技术支持

中国科学院大气物理研究所, 中科三清科技有限公司

限量: 单次返回 6 天的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| city | str | Y | city="定州市", 返回具体市的数据; city="", 则返回所有城市数据 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 城市      | str   | Y        | 城市-索引  |
| Datadate      | str   | Y        | 日期  |
| Pollutant      | float   | Y        | PM2.5   |
| MinAQI     | str   | Y        | 最小  |
| MaxAQI      | float   | Y        | 最大   |
| Level      | str   | Y        | 程度  |

接口示例

```python
import akshare as ak
air_quality_hebei_df = ak.air_quality_hebei(city="定州市")
print(air_quality_hebei_df)
```

数据示例

```
               Datadate Pollutant MinAQI MaxAQI  Level
定州市  2019/11/27 0:00:00     PM2.5     80    110   良-轻度
定州市  2019/11/28 0:00:00     PM2.5     90    120   良-轻度
定州市  2019/11/29 0:00:00     PM2.5    175    205  中度-重度
定州市  2019/11/30 0:00:00     PM2.5    175    205  中度-重度
定州市   2019/12/1 0:00:00     PM2.5    175    205  中度-重度
定州市   2019/12/2 0:00:00     PM2.5     80    110   良-轻度
```

### 空气质量-全国

#### 城市列表

接口: air_city_list

目标地址: https://www.aqistudy.cn/

描述: 获取所有空气质量数据的城市列表

限量: 单次返回所有可以获取的城市的列表

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
|  168城市列表     | list  | Y        | list  |

接口示例

```python
import akshare as ak
air_city_list_map = ak.air_city_list()
print(air_city_list_map)
```

数据示例

```
['北京', '廊坊', '承德', '唐山', '晋城', '保定', '德阳', '秦皇岛', '天津', '朝阳', '临汾', '运城', '成都', '焦作', '长治', '锦州', '绵阳', '资阳', '葫芦岛', '广安', '长春', '石家庄', '三门峡', '兰州', '沧州', '沈阳', '哈尔滨', '衡水', '洛阳', '滨州', '眉山', '东营', '阳泉', '内江', '铜川', '宜宾', '淄博', '邢台', '晋中', '自贡', '新乡', '安阳', '邯郸', '南充', '忻州', '临沂', '太原', '重庆', '乐山', '潍坊', '张家口', '济南', '德州', '聊城', '鹤壁', '青岛', '亳州', '日照', '枣庄', '西安', '咸阳', '宝鸡', '宿州', '泰安', '商丘', '达州', '济宁', '南阳', '吕梁', '连云港', '雅安', '郑州', '南昌', '阜阳', '渭南', '周口', '宿迁', '许昌', '武汉', '徐州', '开封', '泸州', '平顶山', '驻马店', '信阳', '菏泽', '淮南', '漯河', '朔州', '孝感', '濮阳', '杭州', '呼和浩特', '银川', '遂宁', '随州', '湖州', '襄阳', '淮安', '宜昌', '益阳', '淮北', '常州', '泰州', '拉萨', '包头', '蚌埠', '盐城', '六安', '西宁', '岳阳', '九江', '镇江', '苏州', '广州', '贵阳', '大同', '乌鲁木齐', '荆门', '铜陵', '新余', '扬州', '鄂州', '南通', '常德', '荆州', '无锡', '长沙', '咸宁', '嘉兴', '衢州', '大连', '黄冈', '温州', '厦门', '黄石', '绍兴', '合肥', '宜春', '上海', '昆明', '福州', '株洲', '金华', '南京', '湘潭', '丽水', '马鞍山', '萍乡', '宣城', '芜湖', '滁州', '安庆', '池州', '佛山', '黄山', '江门', '南宁', '台州', '惠州', '宁波', '肇庆', '舟山', '中山', '东莞', '深圳', '珠海', '海口']
```

#### 空气质量历史数据

接口: air_quality_hist

目标地址: https://www.zq12369.com/

描述: 获取指定城市和数据频率下并且在指定时间段内的空气质量数据

限量: 单次返回所有的数据, 在提取一小时频率数据时请注意时间跨度不宜过长

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| city | str | Y | city="北京"; 调用 air_city_list 接口获取所有城市列表 |
| period | str | Y | period="day"; "hour": 每小时一个数据, 由于数据量比较大, 下载较慢; "day": 每天一个数据; "month": 每个月一个数据 |
| start_date | str | Y | start_date="2020-03-20"; 注意 **start_date** 和 **end_date** 跨度不宜过长 |
| end_date | str | Y | end_date="2020-04-27"; 注意 **start_date** 和 **end_date** 跨度不宜过长 |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| time      | str   | Y        | 日期时间索引  |
| aqi      | str   | Y        | AQI  |
| pm2_5      | float   | Y        | PM2.5   |
| pm10     | str   | Y        | PM10  |
| co      | float   | Y        | CO   |
| no2      | str   | Y        | NO2  |
| o3      | str   | Y        | O3  |
| so2      | str   | Y        | SO2  |
| complexindex      | str   | Y        | 综合指数  |
| rank      | str   | Y        | 排名  |
| primary_pollutant      | str   | Y        | 主要污染物  |
| temp      | str   | Y        | 温度  |
| humi      | str   | Y        | 湿度  |
| windlevel      | str   | Y        | 风级  |
| winddirection      | str   | Y        | 风向  |
| weather      | str   | Y        | 天气  |

接口示例-小时频率

```python
import akshare as ak
air_quality_hist_df = ak.air_quality_hist(city="北京", period="hour", start_date="2020-04-25", end_date="2020-04-27")
print(air_quality_hist_df)
```

数据示例-小时频率

```
                   time  aqi pm2_5 pm10  ... humi windlevel winddirection weather
0   2020-04-25 00:00:00  111    27  172  ...   16         4           东北风    晴转多云
1   2020-04-25 01:00:00  103    20  156  ...   16         4           东北风    晴转多云
2   2020-04-25 02:00:00  110    14  170  ...   18         3            北风    晴转多云
3   2020-04-25 03:00:00   87    11  123  ...   18         4            北风    晴转多云
4   2020-04-25 04:00:00   68     9   85  ...   16         4            北风    晴转多云
..                  ...  ...   ...  ...  ...  ...       ...           ...     ...
67  2020-04-27 19:00:00   68    48   85  ...   25         2           西南风       晴
68  2020-04-27 20:00:00   66    47   82  ...   25         2           西南风       晴
69  2020-04-27 21:00:00   67    46   84  ...   30         2           西南风       晴
70  2020-04-27 22:00:00   68    42   86  ...   28         3           西南风       晴
71  2020-04-27 23:00:00   69    43   87  ...   32         2           西南风       晴  
```

接口示例-天频率

```python
import akshare as ak
air_quality_hist_df = ak.air_quality_hist(city="北京", period="day", start_date="2020-03-20", end_date="2020-04-27")
print(air_quality_hist_df)
```

数据示例-天频率

```
          time  aqi pm2_5 pm10  ...    humi windlevel winddirection weather
0   2020-03-20   60    29   70  ...  28.667     1.542                      
1   2020-03-21   72    27   94  ...  25.250     2.042                      
2   2020-03-22   62    30   74  ...  32.375     2.167                      
3   2020-03-23   53    28   55  ...  35.333     1.542                      
4   2020-03-24   70    51   68  ...  36.958     1.458                      
5   2020-03-25  153   117  111  ...  49.833     1.792                      
6   2020-03-26   39     8   24  ...  41.500     3.125                      
7   2020-03-27   40     5   21  ...  15.083     2.500                      
8   2020-03-28   39    10   28  ...  23.917     1.792                      
9   2020-03-29   63    45   72  ...  35.292     1.958                      
10  2020-03-30   92    68   87  ...  48.208     2.208                      
11  2020-03-31   87    64   75  ...  53.826     2.130                      
12  2020-04-01   42     9   21  ...  19.250     2.250                      
13  2020-04-02   42    16   34  ...  34.458     1.500                      
14  2020-04-03   47    14   36  ...  28.000     2.000                      
15  2020-04-04  102    23  154  ...  24.708     2.500                      
16  2020-04-05   69    30   88  ...  32.250     1.667                      
17  2020-04-06   86    62  122  ...  42.500     1.667                      
18  2020-04-07   77    45  103  ...  34.167     2.042                      
19  2020-04-08   55    21   60  ...  33.042     1.750                      
20  2020-04-09   49    34   47  ...  56.500     1.875                      
21  2020-04-10   70    39   50  ...  46.542     1.417                      
22  2020-04-11   51    20   38  ...  30.083     1.708                      
23  2020-04-12   54    17   52  ...  13.333     1.958                      
24  2020-04-13   59    26   67  ...  31.435     1.391                      
25  2020-04-14  104    66  102  ...  35.500     1.750                      
26  2020-04-15   95    63   93  ...  45.292     1.875                      
27  2020-04-16   63    23   75  ...  54.583     2.250                      
28  2020-04-17   78    23   37  ...  36.292     2.167                      
29  2020-04-18   75    33   45  ...  40.000     1.500                      
30  2020-04-19   94    39   54  ...  49.227     2.546                      
31  2020-04-20   45     7   31  ...  23.708     3.167                      
32  2020-04-21   42     7   33  ...  18.917     2.833                      
33  2020-04-22   43     6   24  ...  12.125     2.667                      
34  2020-04-23   45     7   21  ...  13.727     2.091                      
35  2020-04-24   91    19  132  ...  12.375     2.875                      
36  2020-04-25   52    10   53  ...  16.375     2.458                      
37  2020-04-26   50    14   33  ...  25.375     1.792                      
38  2020-04-27   76    41   63  ...  35.958     1.875                      
```

接口示例-月频率

```python
import akshare as ak
air_quality_hist_df = ak.air_quality_hist(city="北京", period="month", start_date="2019-04-25", end_date="2020-04-27")
print(air_quality_hist_df)
```

数据示例-月频率

```
     aqi cityname     time  ... complexindex fcomplexindex primary_pollutant
0    94       北京  2019-05  ...         None         4.596              None
1   123       北京  2019-06  ...         None         4.629              None
2   106       北京  2019-07  ...         None         4.150              None
3    71       北京  2019-08  ...         None         3.206              None
4    97       北京  2019-09  ...         None         4.295              None
5    68       北京  2019-10  ...         None         3.829              None
6    76       北京  2019-11  ...         None         4.402              None
7    74       北京  2019-12  ...         None         4.225              None
8    87       北京  2020-01  ...         None         4.774              None
9    88       北京  2020-02  ...         None         4.349              None
10   62       北京  2020-03  ...         None         3.174              None          
```

#### 空气质量排名

接口: air_quality_rank

目标地址: https://www.zq12369.com/environment.php

描述: 获取指定 **date** 时间点上所有城市(168个)的空气质量数据

限量: 单次返回所有的数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| date | str | Y | date="2020-03-12"; "实时": 当前时刻空气质量排名; "2020-03-12": 当日空气质量排名; "2020-03": 当月空气质量排名; "2019": 当年空气质量排名; |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 降序      | str  | Y        | 排名  |
| 省份      | str   | Y        | -  |
| 城市      | str   | Y        | -   |
| AQI     | float   | Y        | -  |
| 空气质量      | str   | Y        | -   |
| PM2.5浓度      | str   | Y        | -  |
| 首要污染物      | str   | Y        | -  |

接口示例-实时

```python
import akshare as ak
air_quality_rank_df = ak.air_quality_rank(date="实时")
print(air_quality_rank_df)
```

数据示例-实时

```
        降序  省份  城市    AQI  空气质量   PM2.5浓度  首要污染物
1      1.0  山西  太原  123.0  轻度污染  93 ug/m3  PM2.5
2      2.0  山东  德州  116.0  轻度污染  33 ug/m3   PM10
3      3.0  河南  安阳  111.0  轻度污染  60 ug/m3   PM10
4      4.0  吉林  长春  108.0  轻度污染  81 ug/m3  PM2.5
5      5.0  广东  佛山  100.0     良  55 ug/m3     O3
..     ...  ..  ..    ...   ...       ...    ...
164  164.0  广东  珠海   34.0     优  16 ug/m3    NaN
165  165.0  江苏  南通   34.0     优  23 ug/m3    NaN
166  166.0  浙江  舟山   30.0     优  11 ug/m3    NaN
167  167.0  四川  雅安   30.0     优  13 ug/m3    NaN
168  168.0  西藏  拉萨   29.0     优   9 ug/m3    NaN            
```

接口示例-具体某天

```python
import akshare as ak
air_quality_rank_df = ak.air_quality_rank(date="2020-03-20")
print(air_quality_rank_df)
```

数据示例-具体某天

```
        降序   省份    城市    AQI  空气质量   PM2.5浓度 首要污染物
1      1.0   山西    晋城  124.0  轻度污染  42 ug/m3  PM10
2      2.0   山东    德州  120.0  轻度污染  36 ug/m3  PM10
3      3.0   河南    焦作  118.0  轻度污染  42 ug/m3  PM10
4      4.0   山东    菏泽  118.0  轻度污染  33 ug/m3  PM10
5      5.0   河南    安阳  118.0  轻度污染  44 ug/m3  PM10
..     ...  ...   ...    ...   ...       ...   ...
164  164.0   广东    深圳   45.0     优  29 ug/m3   NaN
165  165.0  黑龙江   哈尔滨   43.0     优  30 ug/m3   NaN
166  166.0   广东    惠州   43.0     优  30 ug/m3   NaN
167  167.0   新疆  乌鲁木齐   32.0     优  17 ug/m3   NaN
168  168.0   海南    海口   29.0     优  13 ug/m3   NaN
```

接口示例-具体某月

```python
import akshare as ak
air_quality_rank_df = ak.air_quality_rank(date="2020-03")
print(air_quality_rank_df)
```

数据示例-具体某月

```
        降序  省份  城市  综合指数  最大指数  首要污染物
1      1.0  河南  安阳  5.29  1.60  PM2.5
2      2.0  山东  淄博  5.27  1.51  PM2.5
3      3.0  山东  枣庄  5.19  1.54  PM2.5
4      4.0  河南  焦作  5.16  1.54   PM10
5      5.0  陕西  西安  5.11  1.59   PM10
..     ...  ..  ..   ...   ...    ...
164  164.0  广东  惠州  2.52  0.69     O3
165  165.0  广东  中山  2.51  0.74     O3
166  166.0  浙江  舟山  2.27  0.70     O3
167  167.0  海南  海口  1.84  0.58     O3
168  168.0  西藏  拉萨  1.78  0.72     O3
```

接口示例-具体某年

```python
import akshare as ak
air_quality_rank_df = ak.air_quality_rank(date="2019")
print(air_quality_rank_df)
```

数据示例-具体某年

```
        降序  省份   城市  综合指数  最大指数  首要污染物
1      1.0  河南   安阳  6.91  2.03  PM2.5
2      2.0  河北   邢台  6.85  1.86  PM2.5
3      3.0  河北  石家庄  6.80  1.80  PM2.5
4      4.0  河北   邯郸  6.77  1.89  PM2.5
5      5.0  山西   临汾  6.74  1.77  PM2.5
..     ...  ..  ...   ...   ...    ...
164  164.0  福建   厦门  2.98  0.84     O3
165  165.0  安徽   黄山  2.95  0.84     O3
166  166.0  浙江   舟山  2.68  0.82     O3
167  167.0  海南   海口  2.47  0.90     O3
168  168.0  西藏   拉萨  2.39  0.81     O3
```

#### 监测点空气质量

接口: air_quality_watch_point

目标地址: https://www.zq12369.com/environment.php

描述: 获取每个城市的所有空气质量监测点的数据

限量: 单次返回指定城市指定日期区间的所有监测点的空气质量数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| city | str | Y | city="杭州"; 调用 air_city_list 接口获取所有城市列表 | |
| start_date | str | Y | start_date="2018-01-01" |
| end_date | str | Y | end_date="2020-04-27" |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| pointname      | str  | Y        | 监测点名称  |
| aqi      | float   | Y        | AQI  |
| pm2_5      | float   | Y        | PM2.5   |
| pm10     | float   | Y        | PM10  |
| no2      | float   | Y        | NO2   |
| so2      | float   | Y        | SO2  |
| o3      | float   | Y        | O3  |
| co      | float   | Y        | CO  |

接口示例

```python
import akshare as ak
air_quality_watch_point_df = ak.air_quality_watch_point(city="杭州", start_date="2018-01-01", end_date="2020-04-27")
print(air_quality_watch_point_df)
```

数据示例

```
   pointname      aqi  ...                  o3                  co
0       朝晖五区  83.9315  ...               162.4  1.3581999999999999
1       浙江农大  82.7099  ...                 183                 1.3
2        城厢镇  82.2618  ...                 175              1.2643
3         下沙  81.5554  ...                 175                 1.2
4        临平镇  80.2429  ...               174.6              1.2182
5       和睦小学  79.7488  ...                 170              1.2209
6         西溪  78.5832  ...                 173                 1.1
7         滨江  77.9729  ...                 172                 1.3
8        卧龙桥  71.1863  ...                 161             1.13265
9         云栖  70.4404  ...                 168                 1.2
10       千岛湖  55.8762  ...  143.00000000000003                   1        
```

### 财富排行榜-中文

接口: fortune_rank

目标地址: http://www.fortunechina.com/fortune500/node_65.htm

描述: 获取指定年份财富世界500强公司排行榜

限量: 单次返回某一个年份的所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| year | int  | Y    |   year="2019"|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 公司名称      | str   | Y        | -  |
| 营业收入      | float   | Y        | 注意单位   |
| 利润      | float   | Y        | 注意单位   |
| 国家      | float   | Y        | -   |

接口示例

```python
import akshare as ak
fortune_df = ak.fortune_rank(year="2019")
print(fortune_df)
```

数据示例

```
公司名称(中英文)  营业收入(百万美元)  利润(百万美元)   国家
0                             沃尔玛（WALMART)    514405.0    6670.0   美国
1                中国石油化工集团公司（SINOPEC GROUP)    414649.9    5845.0   中国
2            荷兰皇家壳牌石油公司（ROYAL DUTCH SHELL)    396556.0   23352.0   荷兰
3    中国石油天然气集团公司（CHINA NATIONAL PETROLEUM)    392976.6    2270.5   中国
4                       国家电网公司（STATE GRID)    387056.0    8174.8   中国
..                                     ...         ...       ...  ...
495                              纽柯（NUCOR)     25067.3    2360.8   美国
496               蒙特利尔银行（BANK OF MONTREAL)     25002.7    4235.1  加拿大
497        泰康保险集团（TAIKANG INSURANCE GROUP)     24931.7    1794.6   中国
498        Ultrapar控股公司（ULTRAPAR HOLDINGS)     24816.0     314.8   巴西
499                  法国液化空气集团（AIR LIQUIDE)     24796.6    2494.2   法国
```

### 财富排行榜-英文

接口: fortune_rank_eng

目标地址: https://fortune.com/global500/

描述: 获取指定年份财富世界500强公司排行榜-英文版本, 从1995年开始, 数据和格式较中文版本完整

限量: 单次返回某一个年份的所有历史数据, 早期数据可能不足 500 家公司

输入参数

| 名称   | 类型 | 必选 | 描述 |
| -------- | ---- | ---- | --- |
| year | int  | Y    |   year="2019"|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| rank      | str   | Y        | 排名  |
| -      | float   | Y        | 以当年的数据为准, 输入的字段不一   |

接口示例

```python
import akshare as ak
fortune_df = ak.fortune_rank_eng(year="2015")
print(fortune_df)
```

数据示例

```
     rank   revenues  ... hqCountry                       title
476     1  175835.60  ...     Japan      Mitsubishi Corporation
477     2  171490.50  ...     Japan      Mitsui &amp; Co., Ltd.
478     3  167824.70  ...     Japan          Itochu Corporation
479     4  162475.90  ...     Japan        Sumitomo Corporation
480     5  154951.20  ...      U.S.  General Motors Corporation
..    ...        ...  ...       ...                         ...
194   496    7919.20  ...   Germany                Quelle Group
195   497    7868.70  ...   Germany             SPAR Handels AG
196   498    7857.10  ...      U.S.        Banc One Corporation
197   499    7849.50  ...     Japan     New Oji Paper Co., Ltd.
198   500    7843.80  ...     Japan    Toyo Seikan Kaisha, Ltd.
```

### 电影票房-实时

接口: box_office_spot(疫情期间，暂无数据)

目标地址: https://maoyan.com/board/1

描述: 获取上映中电影的实时票房数据

限量: 将昨日国内热映的影片, 按照昨日票房从高到低排序, 每天上午 10 点更新

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | -  | -    |  -|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 电影名称     | str   | -        | -  |  
| 主演         | str   | -        | -  |  
| 上映时间     | str   | -        | 注意具体时区  |  
| 实时票房     | str   | -        | 注意票房单位 |  
| 总票房       | str   | -        |注意票房单位 |  

接口示例

```python
import akshare as ak
box_office_spot_df = ak.box_office_spot()
print(box_office_spot_df)
```

数据示例

```
          电影名称                           主演             上映时间          实时票房  \
0           误杀                  主演：肖央,谭卓,陈冲  上映时间：2019-12-13  实时票房:7981.7万   
1          天·火                 主演：王学圻,昆凌,窦骁  上映时间：2019-12-12  实时票房:3569.5万   
2        冰雪奇缘2   主演：克里斯汀·贝尔,伊迪娜·门泽尔,乔纳森·格罗夫  上映时间：2019-11-22  实时票房:1649.3万   
3  勇敢者游戏2：再战巅峰        主演：道恩·强森,凯伦·吉兰,杰克·布莱克  上映时间：2019-12-06  实时票房:1395.1万   
4       被光抓走的人                 主演：黄渤,王珞丹,谭卓  上映时间：2019-12-13  实时票房:1176.2万   
5        我为你牺牲                 主演：李琦,国永振,陈姝  上映时间：2019-12-05  实时票房:1012.7万   
6      南方车站的聚会                 主演：胡歌,桂纶镁,廖凡  上映时间：2019-12-06   实时票房:514.8万   
7         早安公主               主演：田雨,朱颜曼滋,邱雨铄  上映时间：2019-12-13   实时票房:411.0万   
8         唐顿庄园     主演：休·博纳维尔,劳拉·卡尔迈克尔,吉姆·卡特  上映时间：2019-12-13   实时票房:403.3万   
9         利刃出鞘  主演：丹尼尔·克雷格,克里斯·埃文斯,安娜·德·阿玛斯  上映时间：2019-11-29   实时票房:369.6万   
           总票房  
0    总票房:2.25亿  
1    总票房:1.41亿  
2    总票房:7.84亿  
3    总票房:2.69亿  
4  总票房:5894.0万  
5  总票房:4696.0万  
6    总票房:1.95亿  
7  总票房:1170.0万  
8  总票房:1171.0万  
9    总票房:1.92亿  
```

### 生活成本

接口: cost_living

目标地址: https://expatistan.com/cost-of-living/index

描述: 获取世界各大城市生活成本数据

限量: 返回当前时点所有数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| region     | str   | -        | region="world", 默认, 返回所有城市数据, 其他城市请查看 **城市一览表**  |  

城市一览表

| 名称   | 类型 |   
| -------- | ---- |
| europe | 欧洲  |
| north-america | 北美洲  |
| latin-america | 拉丁美洲  |
| asia | 亚洲  |
| middle-east | 中东  |
| africa | 非洲  |
| oceania | 大洋洲  |
| world | 默认全球所有城市  |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| rank     | str   | -        | 排名  |  
| city     | str   | -        | 城市名称 |  
| index    | str   | -        | 价格指数  |  

接口示例

```python
import akshare as ak
cost_living_df = ak.cost_living()
print(cost_living_df)
```

数据示例

```
      rank                                       city  index
0      1st              Grand Cayman (Cayman Islands)    271
1      2nd  Mountain View, California (United States)    259
2      3rd      Palo Alto, California (United States)    259
3      4th              New York City (United States)    253
4      5th                       Zurich (Switzerland)    246
..     ...                                        ...    ...
295  296th                             Indore (India)     62
296  297th                             Madras (India)     62
297  298th                        Córdoba (Argentina)     58
298  299th                        Rosario (Argentina)     56
299  300th                        Mendoza (Argentina)     48
```

### 新经济公司

#### 倒闭公司

接口: death_company

目标地址: https://www.itjuzi.com/deathCompany

描述: 获取新经济死亡公司数据库

限量: 返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| -     | -   | -        | -  |  

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 公司名称     | str   | -        | -  |  
| 成立时间     | str   | -        | - |  
| 倒闭时间    | str   | -        | -  |  
| 存活天数    | str   | -        | -  |  
| 总投资    | str   | -        | -  |  
| 所属行业    | str   | -        | -  |  
| 所属省份    | str   | -        | -  |  

接口示例

```python
import akshare as ak
death_df = ak.death_company()
print(death_df)
```

数据示例

```
     com_name        born com_change_close_date  ...  total_money cat_name com_prov
0         空车位  2015-06-01            2017-08-07  ...         None     汽车交通       北京
1        禅啸星空  2015-06-01            2017-08-07  ...         None     文娱传媒       北京
2         壹校招  2015-05-01            2017-08-07  ...         None     企业服务       广东
3  灵犀Linkhere  2015-10-01            2017-08-07  ...         None     社交网络       上海
4        弹个吉他  2015-04-01            2017-08-07  ...         None       教育       北京
5        共时数据  2014-11-01            2017-08-07  ...         None       金融       浙江
6        缘分市集  2015-03-01            2017-08-07  ...         None     社交网络       北京
7         馋一指  2014-12-01            2017-08-07  ...         None     电子商务      内蒙古
8        红果生活  2014-10-01            2017-08-07  ...         None     本地生活       云南
9         壹手车  2014-12-01            2017-08-07  ...         None     汽车交通       北京
```

#### 独角兽公司

接口: nicorn_company

目标地址: https://www.itjuzi.com

描述: 获取独角兽公司数据库

限量: 返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| -     | -   | -        | -  |  

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 公司名称     | str   | -        | -  |  
| 成立时间     | str   | -        | - |  
| 总投资    | str   | -        | -  |  
| 所属行业    | str   | -        | -  |  
| 所属省份    | str   | -        | -  |  

接口示例

```python
import akshare as ak
nicorn_df = ak.nicorn_company()
print(nicorn_df)
```

数据示例

```
       com_id                                   com_logo_archive com_name  \
0       18092  https://cdn.itjuzi.com/images/900637e42dec75cc...     蚂蚁金服   
1    34048160  https://cdn.itjuzi.com/images/c36e423fd300b774...     字节跳动   
2       24348  https://cdn.itjuzi.com/images/116bef02d9859fbf...      阿里云   
3         157  https://cdn.itjuzi.com/images/8badb6e5188dbfb3...       滴滴   
4       16470  https://cdn.itjuzi.com/images/2b4263b060d94abd...      陆金所   
225      1634  https://cdn.itjuzi.com/images/f2d94f031e8ed8fe...      返利网   
226       335  https://cdn.itjuzi.com/images/141dd540d2894608...   一起教育科技   
227     25188  https://cdn.itjuzi.com/images/9d06a4ebeed7bee1...     微鲸科技   
228     53629  https://cdn.itjuzi.com/images/3acab9539a788f02...  Momenta   
229     17081  https://cdn.itjuzi.com/images/6948f54e6b3e28c3...     云鸟配送   
    com_prov com_city  invse_year  invse_month  invse_day  \
0         浙江       杭州        2018            6         23   
1         北京      海淀区        2018           10         20   
2         浙江       杭州        2015            7         29   
3         北京      海淀区        2019            7         25   
4         上海     浦东新区        2018           12         15   
225       上海      崇明县        2015            4         21   
226       上海      嘉定区        2018            3         20   
227       上海     浦东新区        2015            8         14   
228       北京      海淀区        2018           10         18   
229       北京      海淀区        2017            2         13   
     invse_guess_particulars  invse_detail_money  invse_currency_id  \
0                  100000000              160000                  1   
1                    7500000              400000                  2   
2                   43550000              600000                  1   
3                    5800000               60000                  2   
4                    3940000              133000                  2   
225                   100000               10000                  2   
226                   100000               25000                  2   
227                   650000              200000                  1   
228                   100000               20000                  2   
229                   100000               10000                  2   
     invse_similar_money_id cat_name sub_cat_name  invse_round_id  \
0                         4       金融       金融综合服务              11   
1                         4     文娱传媒        媒体及阅读               7   
2                         4     企业服务       IT基础设施              11   
3                         4     汽车交通         交通出行              11   
4                         4       金融           理财               4   
225                       4     电子商务       电商解决方案               4   
226                       4       教育          K12               6   
227                       4       硬件         消费电子               2   
228                       4     汽车交通      自动/无人驾驶              11   
229                       4       物流         同城物流               5   
           money invse_money   round  
0    15384615.38        ￥16亿    战略投资  
1     7500000.00        $40亿  F轮-上市前  
2     6700000.00        ￥60亿    战略投资  
3     5800000.00         $6亿    战略投资  
4     3940000.00      $13.3亿      C轮  
225    100000.00         $1亿      C轮  
226    100000.00       $2.5亿      E轮  
227    100000.00        ￥20亿      A轮  
228    100000.00         $2亿    战略投资  
229    100000.00         $1亿      D轮  
```

#### 千里马公司

接口: maxima_company

目标地址: https://www.itjuzi.com

描述: 获取千里马公司数据库

限量: 返回所有历史数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| -     | -   | -        | -  |  

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 公司名称     | str   | -        | -  |  
| 成立时间     | str   | -        | - |  
| 总投资    | str   | -        | -  |  
| 所属行业    | str   | -        | -  |  
| 所属省份    | str   | -        | -  |  

接口示例

```python
import akshare as ak
maxima_df = ak.maxima_company()
print(maxima_df)
```

数据示例

```
       com_id                                   com_logo_archive com_name  \
0       71450  https://cdn.itjuzi.com/images/f7b24798925366be...  震坤行工业超市   
1       51816  https://cdn.itjuzi.com/images/aea5b40629a453f8...     能力风暴   
2       13023  https://cdn.itjuzi.com/images/4875e1ca28fdee9e...       达令   
3       77478  https://cdn.itjuzi.com/images/a3e1719475670315...     奈雪的茶   
4       10727  https://cdn.itjuzi.com/images/53dec5f8b5b69de2...      车置宝   
652     20743  https://cdn.itjuzi.com/images/37c552ea7b695bc0...      未来域   
653     33390  https://cdn.itjuzi.com/images/6c118658e0e9d487...     慧择保险   
654  32967275  https://cdn.itjuzi.com/images/da96ddf10e8709bb...      微天下   
655     15553  https://cdn.itjuzi.com/images/7b8d53bbc21e5ed8...     小熊尼奥   
656     17958  https://cdn.itjuzi.com/images/435f1f5e7fe4882b...      好彩头   
     com_scope_id cat_name com_prov  invse_year  invse_month  invse_day  \
0             145     电子商务       上海        2019            6         18   
1             103       硬件       上海        2016           10          8   
2             145     电子商务       北京        2017           11          3   
3              70     本地生活       广东        2018            3         19   
4              28     汽车交通       江苏        2018            6          6   
652            38     房产服务       北京        2017            6          8   
653            12       金融       广东        2016            8          3   
654           126     企业服务       浙江        2018            6         15   
655             1       教育       上海        2016           10         21   
656           145     电子商务       福建        2015            2         15   
     invse_similar_money_id  invse_guess_particulars  invse_detail_money  \
0                         4                    96000               16000   
1                         4                   600000               60000   
2                         3                   600000                   0   
3                         4                   600000                   0   
4                         4                   600000               80000   
652                       4                   100000               20000   
653                       4                   100000               10000   
654                       4                   100000               20000   
655                       4                   100000               25000   
656                       4                   100000               20000   
     invse_currency_id  invse_round_id     money invse_money round  
0                    2               5  624000.0       $1.6亿    D轮  
1                    1               2  600000.0         ￥6亿    A轮  
2                    1              11  600000.0        ￥数千万  战略投资  
3                    1              14  600000.0      ￥亿元及以上   A+轮  
4                    1               5  600000.0         ￥8亿    D轮  
652                  1               3  100000.0         ￥2亿    B轮  
653                  1              16  100000.0         ￥1亿   B+轮  
654                  1               2  100000.0         ￥2亿    A轮  
655                  1               3  100000.0       ￥2.5亿    B轮  
656                  1               2  100000.0         ￥2亿    A轮  
```

### 特许经营许可

接口: franchise_china

目标地址: http://txjy.syggs.mofcom.gov.cn/

描述: 获取中国-特许经营许可数据

限量: 单次返回所有特许经营许可数据

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 特许人名称      | str   | Y        | -  |
| 备案时间      | str   | Y        | -  |
| 地址      | str   | Y        | -   |

接口示例

```python
import akshare as ak
franchise_china_df = ak.franchise_china()
print(franchise_china_df)
```

数据示例

```
                             特许人名称  ...                                                 地址
0             特许人名称：深圳市百果园投资发展有限公司  ...                  地址：深圳市龙岗区南湾街道下李朗社区平吉大道1号建昇大厦B1305
1                特许人名称：深圳市唯爱控股有限公司  ...                       地址：深圳市福田区福保街道石厦北三街4号雅云轩29楼A室
2               特许人名称：广州绿色医药贸易有限公司  ...                      地址：广州市白云区京溪桥东侧广州新百佳小商品城B1303室
3              特许人名称：广州萌茶茶餐饮管理有限公司  ...                         地址：广州市天河区黄埔大道中309号自编3-18-7
4              特许人名称：福州汕之膳餐饮管理有限公司  ...     地址：福建省福州市台江区瀛洲街道江滨中大道116号君临闽江公寓1-7#楼连地下1层216铺位
                            ...  ...                                                ...
5395           特许人名称：北京车爵仕汽车用品有限公司  ...                          地址：北京市宣武区广安门外马连道路11号1125室
5396          特许人名称：北京风尚引力投资顾问有限公司  ...                             地址：北京市大兴区魏善庄镇工业区龙江路95号
5397          特许人名称：奥力赛克服装（北京）有限公司  ...                    地址：北京市宣武区宣武门外大街6号（庄胜广场北办公室楼902）
5398        特许人名称：中达睿信投资管理(北京)有限公司  ...                 地址：北京市丰台区航丰路1号院2号楼1015、1016、1017房间
5399  特许人名称：DDBR International LLC  ...  地址：The Corporation Trust Company, Corporation ...
```

### 慈善中国

#### 慈善组织查询

接口: charity_china_organization

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/a/csmhaindex.html

描述: 获取慈善中国-慈善组织查询数据

限量: 单次返回所有慈善中国-慈善组织查询数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 序号      | str   | Y        | -  |
| 统一社会信用代码      | str   | Y        | -  |
| 组织名称      | str   | Y        | -   |
| 成立时间      | str   | Y        | -   |
| 登记管理机关      | str   | Y        | -   |

接口示例

```python
import akshare as ak
charity_china_organization_df = ak.charity_china_organization()
print(charity_china_organization_df)
```

数据示例

```
    序号            统一社会信用代码              组织名称          成立时间            登记管理机关
0    1  53330000501876705E        温州市人民教育基金会   Jan 1, 1989            浙江省民政厅
1    2  51440100572156377E        广州市乐善助学促进会  Mar 14, 2011            广州市民政局
2    3  51440106C149234018         广州市天河区慈善会  Mar 26, 1995         广州市天河区民政局
3    4  13220100013829643R           长春市红十字会  Nov 11, 1998        长春市机构编制委员会
4    5  514206245037423566            南漳县慈善会   Apr 3, 1994             南漳民政局
5    6  12420624MB1856281C           南漳县红十字会  Aug 13, 2018      南漳县事业单位登记管理局
6    7  51370103MJD7207131          济南市中慈善总会  Aug 30, 2005         济南市市中区民政局
7    8  13330726674784083R           浦江县红十字会  Jun 15, 2010        浦江县机构编制委员会
8    9  13450100007578462M           南宁市红十字会  Dec 29, 2001        南宁市机构编制委员会
9   10  51222402774243137N           图们市慈善总会  Aug 29, 2003            图们市民政局
10  11  51110102500530454R          北京西城慈善协会  Sep 10, 1995         北京市西城区民政局
11  12  12411402554217009W        商丘市梁园区红十字会  Oct 16, 1998       商丘市梁园区编制委员会
12  13  51661200697824762N  新疆生产建设兵团第十二师红十字会  Oct 24, 2008           第十二师民政局
13  14  11421304MB1C163392            随县红十字会  Sep 30, 2009  中共随县县委机构编制委员会办公室
14  15  123203054665457747        徐州市贾汪区红十字会  Sep 20, 2012         徐州市贾汪区民政局
```

#### 慈善信托查询

接口: charity_china_trust

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/e/csmheindex.html

描述: 获取慈善中国-慈善信托查询数据

限量: 单次返回所有慈善中国-慈善信托查询数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 序号      | str   | Y        | -  |
| 慈善信托名称      | str   | Y        | -  |
| 备案单位      | str   | Y        | -   |
| 受托人      | str   | Y        | -   |
| 财产总规模（万元）      | str   | Y        | -   |
| 信托期限      | str   | Y        | -   |

接口示例

```python
import akshare as ak
charity_china_trust_df = ak.charity_china_trust()
print(charity_china_trust_df)
```

数据示例

```
    序号                    慈善信托名称  ... 财产总规模（万元）    信托期限
0    1     华宝善行•抗击新型冠状病毒肺炎疫情慈善信托  ...    272.81      2年
1    2           华信信托-抗击新型肺炎慈善信托  ...    100.00   无固定期限
2    3        “上善”系列赴鄂救援抗击疫情慈善信托  ...    500.00      2年
3    4                   泰来县红十字会  ...  30000.00      5年
4    5  天信世嘉·信德众志成城抗击新型肺炎01期慈善信托  ...     50.00      1年
5    6                  根生博爱慈善信托  ...    114.70      永续
6    7         中融-深圳市慈善会托普思维慈善信托  ...     50.00      10
7    8             重庆信托·温暖童心慈善信托  ...      7.00      1年
8    9             华润信托•银杏乐天慈善信托  ...    100.00     10年
9   10            光信善·益中专项教育慈善信托  ...   1000.00   无固定期限
10  11      光信善·祥生扶贫1号阳光益投系列慈善信托  ...      5.00      2年
11  12                    骏昆慈善信托  ...      5.00   无固定期限
12  13          厦门信托-星之助公益进堂慈善信托  ...     12.00  不设固定期限
13  14      光信善·瀚京尊享1号阳光益投系列慈善信托  ...     10.00      3年
14  15                光信善·云焕慈善信托  ...     10.00      永续
```

#### 募捐方案备案

接口: charity_china_plan

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/c/csmhcindex.html

描述: 获取慈善中国-募捐方案备案数据

限量: 单次返回所有慈善中国-募捐方案备案数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 组织      | str   | Y        | -  |
| 状态      | str   | Y        | -  |
| 名称      | str   | Y        | -   |
| 备案号      | str   | Y        | -   |

接口示例

```python
import akshare as ak
charity_china_plan_df = ak.charity_china_plan()
print(charity_china_plan_df)
```

数据示例

```
                 组织  ...                                备案号
0           重庆市慈善总会  ...  募捐方案备案编号：51500000504029915YA20015
1           重庆市慈善总会  ...  募捐方案备案编号：51500000504029915YA20014
2           重庆市慈善总会  ...  募捐方案备案编号：51500000504029915YA20013
3  新疆维吾尔族自治区资助教育基金会  ...  募捐方案备案编号：536501045762170776A20003
4           钦州市红十字会  ...  募捐方案备案编号：13450700K32947229MA20001
5           山东省红十字会  ...  募捐方案备案编号：133700000045025699A20001
6           南宁市红十字会  ...  募捐方案备案编号：13450100007578462MA20001
7       天祝藏族自治县红十字会  ...  募捐方案备案编号：11620623576286750DA20001
```

#### 慈善项目进展

接口: charity_china_progress

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/b/csmhbindex.html

描述: 获取慈善中国-慈善项目进展数据

限量: 单次返回所有慈善中国-慈善项目进展数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 组织      | str   | Y        | -  |
| 名称      | str   | Y        | -   |
| 项目编号      | str   | Y        | -   |
| 发起慈善组织      | str   | Y        | -   |
| 项目状态      | str   | Y        | -   |

接口示例

```python
import akshare as ak
charity_china_progress_df = ak.charity_china_progress()
print(charity_china_progress_df)
```

数据示例

```
          组织                             名称  ...     发起慈善组织 项目状态
0  中国华侨公益基金会                爱步寒冷—冰雪徒步志愿服务项目  ...  中国华侨公益基金会  已完成
1  中国华侨公益基金会      童沐书香 首都图书馆文化志愿服务讲故事智力脱贫项目  ...  中国华侨公益基金会  已完成
2  中国华侨公益基金会                      经典导读，点亮心灯  ...  中国华侨公益基金会  已完成
3  中国华侨公益基金会            山区帮扶励志“阳光小讲台”志愿服务活动  ...  中国华侨公益基金会  已完成
4  中国华侨公益基金会                 青春守护点对点 关爱留守儿童  ...  中国华侨公益基金会  已完成
5  中国华侨公益基金会                      爱心部落·公益超市  ...  中国华侨公益基金会  已完成
6  中国华侨公益基金会             农村牧区“12345”扶贫攻坚义工队  ...  中国华侨公益基金会  已完成
7  中国华侨公益基金会  “授渔”-呼和浩特天使公益协会山区贫困儿童家庭精准扶贫项目  ...  中国华侨公益基金会  已完成
```

#### 慈善组织年报

接口: charity_china_report

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/d/csmhdindex.html

描述: 获取慈善中国-慈善组织年报数据

限量: 单次返回所有慈善中国-慈善组织年报数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 序号      | str   | Y        | -  |
| 统一社会信用代码      | str   | Y        | -   |
| 组织名称      | str   | Y        | -   |
| 社会组织类别      | str   | Y        | -   |
| 年度      | str   | Y        | -   |
| 操作      | str   | Y        | 提供下载 PDF 的地址   |

接口示例

```python
import akshare as ak
charity_china_report_df = ak.charity_china_report()
print(charity_china_report_df)
```

数据示例

```
   序号  ...                                                 操作
0   1  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
1   2  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
2   3  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
3   4  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
4   5  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
5   6  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
6   7  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
7   8  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
8   9  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
9  10  ...  http://cishan.chinanpo.gov.cn/mz/upload/pub/lo...
```

#### 募捐信息平台

接口: charity_china_platform

目标地址: http://cishan.chinanpo.gov.cn/biz/ma/csmh/h/csmhhindex.html

描述: 获取慈善中国-募捐信息平台数据

限量: 单次返回所有慈善中国-募捐信息平台数据, 但是要注意网络稳定性, 建议获取后存储

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| - | - | - | - |

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| 网址      | str   | Y        | -  |
| 组织      | str   | Y        | -   |
| 名称      | str   | Y        | -   |
| 联系方式      | str   | Y        | -   |

接口示例

```python
import akshare as ak
charity_china_platform_df = ak.charity_china_platform()
print(charity_china_platform_df)
```

数据示例

```
                                                   网址  ...                       联系方式
0                               http://gongyi.qq.com/  ...      gongyi_TS@tencent.com
1                          https://gongyi.taobao.com/  ...              0571-88157858
2                            https://love.alipay.com/  ...              0571-88158090
3                             http://gongyi.weibo.com  ...               010-60618539
4   http://gongyi.m.jd.com/index.html?&utm_source=...  ...               010-89126602
5                            http://gongyi.baidu.com/  ...               010-50803597
6                            http://www.gongyibao.cn/  ...               010-82609011
7                           http://xhgy.xinhuanet.com  ...                 4000260110
8                             https://www.qschou.com/  ...                   10101019
9                  https://www.lianquan.org/index.jsp  ...           021-60146234-801
10                               http://www.gyufc.org  ...                 4008599595
11                          http://gongyi.meituan.com  ...                 4000810990
12                                 javascript:void(0)  ...  didigongyi@didiglobal.com
13                 https://www.shanyuanfoundation.com  ...        sygy@17shanyuan.com
14  http://channels1.mall.icbc.com.cn/channels/pc/...  ...                 4009195588
15                   http://www.shuidichou.com/gongyi  ...      gongyi@shuidichou.com
16                          https://gongyi.suning.com  ...        gongyi@cnsuning.com
17                        https://www.bangbangwang.cn  ...               010-85693651
18                           http://gongyi.yeepay.com  ...               4001-500-800
19                           http://www.zgshfp.com.cn  ...               400-600-1017
20                             http://www.mca.gov.cn/  ...                       None
21              http://www.chinanpo.gov.cn/index.html  ...                       None
22                      http://www.chinavolunteer.cn/  ...                       None
23               http://www.jianzai.gov.cn/DRpublish/  ...                       None
24                         http://www.neusoft.com/cn/  ...                       None
25                 http://www.foundationcenter.org.cn  ...                       None
26                                                  #  ...                       None
27                                                  #  ...                       None
```

### 微博舆情报告

接口: stock_js_weibo_report

目标地址: https://datacenter.jin10.com/market

描述: 获取微博舆情报告中近期受关注的股票

限量: 单次返回指定时间内微博舆情报告中近期受关注的股票

输入参数

| 名称   | 类型 | 必选 | 描述                                                                              |
| -------- | ---- | ---- | --- |
| time_period | str | Y | time_period="CNHOUR12"; 详见下表**time_period参数一览表**, 可通过调用 **stock_js_weibo_nlp_time** 获取|

time_period参数一览表

|参数|说明|
|---|---|
|CNHOUR2|2小时|
|CNHOUR6|6小时|
|CNHOUR12|12小时|
|CNHOUR24|1天| 
|CNDAY7|1周| 
|CNDAY30|1月|

输出参数

| 名称          | 类型 | 默认显示 | 描述           |
| --------------- | ----- | -------- | ---------------- |
| name      | str   | Y        | 股票名称  |
| rate      | str   | Y        | 人气排行指数   |

接口示例

```python
import akshare as ak
stock_js_weibo_report_df = ak.stock_js_weibo_report(time_period="CNHOUR12")
print(stock_js_weibo_report_df)
```

数据示例

```
    name   rate
0   黄河旋风   9.86
1   东方财富   6.91
2   海王生物  10.09
3   秀强股份   4.56
4   江淮汽车  10.08
5    欧菲光  10.00
6   中兴通讯   9.98
7   鲁抗医药   9.97
8   海陆重工  10.07
9   中通客车   9.75
10  华天科技  10.02
11  亚星客车   7.70
12  中国平安  -0.66
13  新日恒力   9.98
14   同花顺  -0.90
15  赣锋锂业  10.00
16  北玻股份  10.09
17   比亚迪   7.02
18  沪电股份  10.00
19   太平洋   9.92
20  深康佳A  -8.02
21  天齐锂业   9.34
22  泰达股份   9.99
23  中信证券   0.68
24  欣龙控股  10.00
25  均胜电子  10.00
26   安居宝   9.98
27  联环药业  10.00
28  乾照光电   2.93
29  山东黄金  -3.38
30  国海证券   7.20
31  永鼎股份  10.00
32   漫步者  -4.51
33  江苏吴中  10.03
34  国农科技  10.00
35  中环股份   9.98
36  阳普医疗  10.01
37   新宙邦   8.91
38  兴森科技   9.98
39  南大光电   7.46
40  四环生物   9.98
41  海特高新  10.01
42  光环新网   7.97
43  晶方科技  -2.73
44  铜峰电子  10.04
45  华力创通  10.00
46  复星医药   9.41
47  力帆股份  10.14
48  永太科技   9.65
49  四维图新   8.76
```
